Bug 615852 - Selecting Faroese fails to get yum group information
Summary: Selecting Faroese fails to get yum group information
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: releng (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Dennis Gregorovic
QA Contact: Release Test Team
URL:
Whiteboard:
Keywords:
Depends On: 616051
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-19 05:55 UTC by Kenichi Takemura
Modified: 2014-08-04 22:02 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-04 00:34:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kenichi Takemura 2010-07-19 05:55:28 UTC
Description of problem:

System-config-language cannot install Faroese 
It hangs in Connecting Yum database, please wait for a bit...

The errors in console is below 

This system is not registered with RHN.
RHN support will be disabled.
Traceback (most recent call last):
  File "/usr/share/system-config-language/language_gui.py", line 175, in okClicked
    self.apply()
  File "/usr/share/system-config-language/language_gui.py", line 265, in apply
    if not install.is_group_installed(grpid, self.mainWindow):
  File "/usr/share/system-config-language/gui_install.py", line 79, in is_group_installed
    raise yum.Errors.GroupsError, "No Group named %s exists" % grpid
yum.Errors.GroupsError: No Group named faroese-support exists


Version-Release number of selected component (if applicable):

system-config-language-1.3.4-2.el6.noarch

How reproducible:

always

Steps to Reproduce:
1. Open system-config-language
2. Select Faroese
3. Click OK
  
Actual results:

system-config-language hangs up.

Expected results:

Language support should be installed

Additional info:

Comment 2 RHEL Product and Program Management 2010-07-19 06:17:33 UTC
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **

Comment 3 Pravin Satpute 2010-07-19 14:24:22 UTC
s-c-l is trying to install              
$yum groupinstall faroese-support

which is right as per locale fo_FO as well
"% Faroese language locale for Faroe Islands"

but somehow looks there is spelling mistake in comps for rhel6
group is defined with name
    <id>faeroese-support</id> 
this is wrong

even wikipedia also says same http://en.wikipedia.org/wiki/Faroese_language

need to fix this in comps

Comment 6 RHEL Product and Program Management 2010-07-19 15:17:44 UTC
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **

Comment 7 Dennis Gregorovic 2010-07-22 16:08:56 UTC
Fix checked into comps.

Comment 8 Jan Stodola 2010-08-09 12:58:59 UTC
Successfully changed language to Faroese using system-config-language, no errors occured.

[root@ibm-js22-vios-02-lp4 ~]# cat /etc/sysconfig/i18n 
LANG="fo_FO.UTF-8"
SYSFONT="latarcyrheb-sun16"

Tested on build RHEL6.0-20100807.0, moving to VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.